Show / Hide Table of Contents

# Interface IOpenIddictScopeStoreResolver

Exposes a method allowing to resolve a scope store.

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictScopeStoreResolver

### Methods

#### Get<TScope>()

Returns a scope store compatible with the specified scope type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    IOpenIddictScopeStore<TScope> Get<TScope>()
        where TScope : class

##### Returns

Type | Description
--- | ---
IOpenIddictScopeStore<TScope> | An IOpenIddictScopeStore<TScope>.

##### Type Parameters

Name | Description
--- | ---
TScope | The type of the Scope entity.